<template>
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-md-6">
        <login></login>
      </div>
    </div>
  </div>
</template>

<script>
    import auth from '../controllers/requests/auth'
    import Login from "../views/Login";

    export default {
        name: "LoginLayout",
        components: {Login},
        beforeRouteEnter(to, from, next) {
            auth.isLoggedIn()
                .then(() => {
                    next('/')
                })
                .catch(() => {
                    next()
                })
        }
    }
</script>

<style scoped>

</style>
